Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.tracking.events
Class DisplayCampaignEvent

    java.lang.Object
      |
      +--com.bea.p13n.property.AbstractConfigurableEntity
            |
            +--com.bea.p13n.events.Event
                  |
                  +--com.bea.p13n.tracking.events.TrackingEvent
                        |
                        +--com.bea.p13n.tracking.events.ContentEvent
                              |
                              +--com.bea.campaign.tracking.events.DisplayCampaignEvent

public class DisplayCampaignEvent
extends ContentEvent

Event for tracking display of campaign

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `APPLICATION_NAME` Event attribute key name for storefront (aka application) Attribute value is a String
`static java.lang.String` | `BANNER_AD_PROMOTION` Suggestions for entry into the documentType data passed to the constructor Attribute value is a String
`static java.lang.String` | `CAMPAIGN_ID` Event attribute key name for the campaign id Attribute value is a String
`static java.lang.String` | `PLACEHOLDER_ID` Event attribute key name for item category id Attribute value is a String
`static java.lang.String` | `SCENARIO_ID` Event attribute key name for the scenario id Attribute value is a String
`static java.lang.String` | `TYPE` The event type

Fields inherited from class com.bea.p13n.tracking.events.ContentEvent
`DOCUMENT_ID, DOCUMENT_TYPE`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`APPLICATION, REQUEST, SESSION_ID, USER_ID`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Constructor Summary
`DisplayCampaignEvent(java.lang.String theSessionId, java.lang.String theUserId, javax.servlet.http.HttpServletRequest theRequest, java.lang.String aDocumentType, java.lang.String aDocumentId, java.lang.String aCampaignId, java.lang.String aScenarioId, java.lang.String aApplicationName, java.lang.String aPlaceholderId)` Create a new DisplayCampaignEvent.

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getXMLNamespace, getXSDFile, setSchemaKeys, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  The event type

### CAMPAIGN_ID

    public static final java.lang.String CAMPAIGN_ID

  Event attribute key name for the campaign id Attribute value is a String

### SCENARIO_ID

    public static final java.lang.String SCENARIO_ID

  Event attribute key name for the scenario id Attribute value is a String

### APPLICATION_NAME

    public static final java.lang.String APPLICATION_NAME

  Event attribute key name for storefront (aka application) Attribute value is a String

### PLACEHOLDER_ID

    public static final java.lang.String PLACEHOLDER_ID

  Event attribute key name for item category id Attribute value is a String

### BANNER_AD_PROMOTION

    public static final java.lang.String BANNER_AD_PROMOTION

  Suggestions for entry into the documentType data passed to the constructor Attribute value is a String

Constructor Detail

### DisplayCampaignEvent

    public DisplayCampaignEvent(java.lang.String theSessionId,
                                java.lang.String theUserId,
                                javax.servlet.http.HttpServletRequest theRequest,
                                java.lang.String aDocumentType,
                                java.lang.String aDocumentId,
                                java.lang.String aCampaignId,
                                java.lang.String aScenarioId,
                                java.lang.String aApplicationName,
                                java.lang.String aPlaceholderId)

  Create a new DisplayCampaignEvent.

  Parameters:
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the displayed content (optionally null)
    `aDocumentId` - Document ID for the displayed content (optionally null)
    `aCampaignId` - campaign id for the campaign from which the item was displayed
    `aScenarioId` - scenario id for the scenario (within the campaign) for which the item was displayed
    `aApplicationName` - application name (Storefront) (optionally null)
    `aPlaceholderId` - a placeholder id

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved